[Python-apps-commits] r10544 - in packages/sabnzbdplus/trunk/debian (sabnzbdplus.init)

jcfp-guest at users.alioth.debian.org jcfp-guest at users.alioth.debian.org
Tue Feb 18 14:58:02 UTC 2014


    Date: Tuesday, February 18, 2014 @ 14:58:02
  Author: jcfp-guest
Revision: 10544

Init: no longer make s-s-d match the executable (just user and pidfile is fine)

Modified:
  packages/sabnzbdplus/trunk/debian/sabnzbdplus.init

Modified: packages/sabnzbdplus/trunk/debian/sabnzbdplus.init
===================================================================
--- packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2014-02-18 14:35:14 UTC (rev 10543)
+++ packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2014-02-18 14:58:02 UTC (rev 10544)
@@ -33,7 +33,6 @@
 DESC="SABnzbd+ binary newsgrabber"
 PIDFILE="/var/run/$NAME/pid"
 DEFOPTS="--daemon --pidfile '$PIDFILE'"
-PYTHONEXEC="$(readlink -f '/usr/bin/python')"
 
 # these are only accepted from the settings file
 unset USER CONFIG HOST PORT EXTRAOPTS
@@ -52,7 +51,7 @@
 
 is_running() {
 	# don't try to match --name: it changes after restarting via the web interface
-	start-stop-daemon --status --quiet --user "${USER%:*}" --pidfile "$PIDFILE" --exec "$PYTHONEXEC"
+	start-stop-daemon --status --quiet --user "${USER%:*}" --pidfile "$PIDFILE"
 	RET=$?
 	[ $RET -gt 3 ] && exit 1 || return $RET
 }
@@ -98,7 +97,7 @@
 	load_settings || exit 0
 	if is_running; then
 		log_daemon_msg "Stopping $DESC"
-		start-stop-daemon --stop --quiet --user "${USER%:*}" --pidfile "$PIDFILE" --exec "$PYTHONEXEC" --retry 30
+		start-stop-daemon --stop --quiet --user "${USER%:*}" --pidfile "$PIDFILE" --retry 30
 		check_retval
 	else
 		log_action_msg "$DESC: not running"




More information about the Python-apps-commits mailing list